Bug 444275 - NFS boot error
NFS boot error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
: 450459 453997 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-26 07:52 EDT by Colin Brace
Modified: 2009-07-15 04:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:26:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
rmtab that causes trouble (13.92 KB, text/plain)
2008-06-18 13:51 EDT, Orion Poplawski
no flags Details

  None (edit)
Description Colin Brace 2008-04-26 07:52:42 EDT
Description of problem:

Since upgrading to F9 by means of the preview DVD, I am seeing a persistent boot
error; during the running of the init scripts, an NFS startup script fails with
a reference to a segfault in line 511 in ../init.d/functions.

Once the system has booted, I am able to start NFS manually:

$ sudo service nfs restart
Shutting down NFS mountd:                                  [  OK  ]
Shutting down NFS daemon:                                  [  OK  ]
Shutting down NFS quotas:                                  [  OK  ]
Shutting down NFS services:                                [FAILED]
Starting NFS services:                                     [  OK  ]
Starting NFS quotas:                                       [  OK  ]
Starting NFS daemon:                                       [  OK  ]
Starting NFS mountd:                                       [  OK  ]

Version-Release number of selected component (if applicable):

initscripts-8.72-1.

How reproducible:

Every time the system boots.
Comment 1 Bill Nottingham 2008-04-28 12:02:29 EDT
Can you get a trace of the crash?
Comment 2 Colin Brace 2008-04-28 12:10:53 EDT
Sure, just tell me what I need to do. 
Comment 3 Bill Nottingham 2008-04-28 12:18:29 EDT
Well, the trick is to catch it while it's segfaulting with gdb. Aside from that, 
a cut and paste of the exact message may be helpful.
Comment 4 Colin Brace 2008-04-28 12:33:20 EDT
That's kinda hard to do, since the error text is only fleetingly displayed in
that graphical bootup sequence, and I don't think the clipboard is working at
that point. Unless of course init script errors are logged somewhere...??? 
Comment 5 Bill Nottingham 2008-04-28 12:40:28 EDT
Not specifically. Check /var/log/messages?
Comment 6 Colin Brace 2008-04-28 13:03:09 EDT
Nothing in /var/log/messages.

If I were to boot at run level three, would that drop me at a prompt before the
init scripts are run? If so, I could then run /etc/init.d/nfs manually and see
what happens. 

Also, at run level three, if I were to run gdb and then the script, would this
produce anything useful for you?
Comment 7 Colin Brace 2008-04-28 13:05:18 EDT
Sorry, I meant single-user mode. That's run level 1, right?
Comment 8 Bill Nottingham 2008-04-28 13:21:36 EDT
gdb on the script won't really help. Dropping to runlevel 1 should let you get
the error message, though.
Comment 9 Colin Brace 2008-05-03 06:45:48 EDT
OK, I rebooted using runlevel 1. The error message looks like this:

NFS Services
  2882 Segmentation fault in line 511 /etc/init.d/functions "$0"

I realize that this isn't much to go on. In any case, I will keep applying
updates with yum as they appear and maybe the problem will disappear before the
13th. Sorry not to be able to be of more help. Will keep you posted...
Comment 10 Bill Nottingham 2008-05-05 11:59:20 EDT
Assinging to nfs-utils; it's one of its programs that is crashing.
Comment 11 Colin Brace 2008-05-05 12:06:02 EDT
OK. If you need more information, just ask.
Comment 12 Steve Dickson 2008-05-06 07:50:47 EDT
Can you run the following command and post the output

sudo sh -x /etc/init.d/nfs restart
Comment 13 Colin Brace 2008-05-07 04:44:03 EDT
OK, here it is. Yes, there is an invalid entry in my exports file at the moment;
that shouldn't be causing the segfault though, right?

$ sudo sh -x /etc/init.d/nfs restart
+ . /etc/rc.d/init.d/functions
++ TEXTDOMAIN=initscripts
++ umask 022
++ PATH=/sbin:/usr/sbin:/bin:/usr/bin
++ export PATH
++ '[' -z '' ']'
++ COLUMNS=80
++ '[' -z '' ']'
+++ /sbin/consoletype
++ CONSOLETYPE=pty
++ '[' -f /etc/sysconfig/i18n -a -z '' -a -z '' ']'
++ . /etc/profile.d/lang.sh
+++ sourced=0
+++ saved_lang=en_US.UTF-8
+++ for langfile in /etc/sysconfig/i18n '$HOME/.i18n'
+++ '[' -f /etc/sysconfig/i18n ']'
+++ . /etc/sysconfig/i18n
++++ LANG=en_US.UTF-8
++++ SYSFONT=latarcyrheb-sun16
+++ sourced=1
+++ for langfile in /etc/sysconfig/i18n '$HOME/.i18n'
+++ '[' -f /home/colin/.i18n ']'
+++ '[' -n en_US.UTF-8 ']'
+++ LANG=en_US.UTF-8
+++ unset saved_lang
+++ '[' 1 = 1 ']'
+++ '[' -n en_US.UTF-8 ']'
+++ export LANG
+++ '[' -n '' ']'
+++ unset LC_ADDRESS
+++ '[' -n '' ']'
+++ unset LC_CTYPE
+++ '[' -n '' ']'
+++ unset LC_COLLATE
+++ '[' -n '' ']'
+++ unset LC_IDENTIFICATION
+++ '[' -n '' ']'
+++ unset LC_MEASUREMENT
+++ '[' -n '' ']'
+++ unset LC_MESSAGES
+++ '[' -n '' ']'
+++ unset LC_MONETARY
+++ '[' -n '' ']'
+++ unset LC_NAME
+++ '[' -n '' ']'
+++ unset LC_NUMERIC
+++ '[' -n '' ']'
+++ unset LC_PAPER
+++ '[' -n '' ']'
+++ unset LC_TELEPHONE
+++ '[' -n '' ']'
+++ unset LC_TIME
+++ '[' -n '' ']'
+++ unset LC_ALL
+++ '[' -n '' ']'
+++ unset LANGUAGE
+++ '[' -n '' ']'
+++ unset LINGUAS
+++ '[' -n '' ']'
+++ unset _XKB_CHARSET
+++ consoletype=pty
+++ '[' -z pty ']'
+++ '[' -n en_US.UTF-8 ']'
+++ case $LANG in
+++ '[' xterm = linux ']'
+++ unset SYSFONTACM SYSFONT consoletype
+++ unset sourced
+++ unset langfile
++ unset LANGSH_SOURCED
++ '[' -z '' ']'
++ '[' -f /etc/sysconfig/init ']'
++ . /etc/sysconfig/init
+++ BOOTUP=color
+++ GRAPHICAL=yes
+++ RES_COL=60
+++ MOVE_TO_COL='echo -en \033[60G'
+++ SETCOLOR_SUCCESS='echo -en \033[0;32m'
+++ SETCOLOR_FAILURE='echo -en \033[0;31m'
+++ SETCOLOR_WARNING='echo -en \033[0;33m'
+++ SETCOLOR_NORMAL='echo -en \033[0;39m'
+++ LOGLEVEL=3
+++ PROMPT=yes
+++ AUTOSWAP=no
++ '[' pty = serial ']'
++ '[' color '!=' verbose ']'
++ INITLOG_ARGS=-q
++
__sed_discard_ignored_files='/\(~\|\.bak\|\.orig\|\.rpmnew\|\.rpmorig\|\.rpmsave\)$/d'
+ '[' '!' -f /etc/sysconfig/network ']'
+ . /etc/sysconfig/network
++ NETWORKING=yes
++ HOSTNAME=ariel
+ '[' yes = no ']'
+ '[' -x /usr/sbin/rpc.nfsd ']'
+ '[' -x /usr/sbin/rpc.mountd ']'
+ '[' -x /usr/sbin/exportfs ']'
+ '[' -r /etc/exports ']'
+ '[' -f /etc/sysconfig/nfs ']'
+ . /etc/sysconfig/nfs
+ '[' -z '' ']'
+ MOUNTD_NFS_V2=default
+ '[' -z '' ']'
+ MOUNTD_NFS_V3=default
+ '[' -z '' ']'
+ RPCNFSDCOUNT=8
+ '[' -z '' ']'
++ type -path rpc.rquotad
+ RQUOTAD=/usr/sbin/rpc.rquotad
+ RETVAL=0
+ case "$1" in
+ /etc/init.d/nfs stop
Shutting down NFS mountd:                                  [  OK  ]
Shutting down NFS daemon:                                  [  OK  ]
Shutting down NFS quotas:                                  [  OK  ]
Shutting down NFS services:                                [  OK  ]
+ /etc/init.d/nfs start
Starting NFS services:  exportfs: Warning: home/colin does not exist
exportfs: Warning: home/colin does not exist
exportfs: Warning: home/colin does not exist
                                                           [  OK  ]
Starting NFS quotas:                                       [  OK  ]
Starting NFS daemon:                                       [  OK  ]
Starting NFS mountd:                                       [  OK  ]
+ exit 0
Comment 14 Steve Dickson 2008-05-07 08:40:50 EDT
Hmm.... 

> Shutting down NFS services:                                [  OK  ]

It seem to work that time... 

It appears there is a typo in you /etc/exports file:
> exportfs: Warning: home/colin does not exist
I'm assuming you are trying to export '/home/colin'
Comment 15 Colin Brace 2008-05-07 08:51:36 EDT
Ahh, sorry, I guess you wanted me to run in single-user mode after a fresh boot.
Hold on, I can do that for you. 
Yes, I fixed that error in exports 
Comment 16 Bug Zapper 2008-05-14 06:12:27 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Steve Dickson 2008-05-24 08:53:50 EDT
Are you still seening this problem?
Comment 18 Orion Poplawski 2008-06-18 13:43:45 EDT
I can reproduce.  Only happens during boot.

dmesg/messages has:
exportfs[3710]: segfault at d ip b7f5ff3a sp bfa63150 error 4 in
exportfs[b7f5a000+c000]

Program received signal SIGSEGV, Segmentation fault.
dupexportent (dst=0xbfc84078, src=0xd) at exports.c:320
320             *dst = *src;
Missing separate debuginfos, use: debuginfo-install glibc.i686 tcp_wrappers.i386
(gdb) bt
#0  dupexportent (dst=0xbfc84078, src=0xd) at exports.c:320
#1  0xb807f8fb in rmtab_read () at rmtab.c:45
#2  0xb807d011 in main (argc=2, argv=0xbfc84a54) at exportfs.c:137

Comment 19 Orion Poplawski 2008-06-18 13:51:19 EDT
Created attachment 309771 [details]
rmtab that causes trouble

I moved /var/lib/nfs/rmtab out of the way and now it can startup normally.
Comment 20 Orion Poplawski 2008-06-18 13:53:03 EDT
*** Bug 450459 has been marked as a duplicate of this bug. ***
Comment 21 Colin Brace 2008-06-18 15:54:55 EDT
(In reply to comment #19)
> Created an attachment (id=309771) [edit]
> Current rmtab
> 
> I moved /var/lib/nfs/rmtab out of the way and now it can startup normally.

Will try this when I return home in early August. Thanks.
Comment 22 Steve Dickson 2008-06-23 13:33:15 EDT
can you post the contents of the  /var/lib/nfs/rmtab that causes
this problem?
Comment 23 Orion Poplawski 2008-06-23 13:43:43 EDT
The attached rmtab was the one that was in place when I was having trouble.
Comment 24 Fedora Update System 2008-06-25 09:26:53 EDT
nfs-utils-1.1.2-5.fc9 has been submitted as an update for Fedora 9
Comment 25 Steve Dickson 2008-06-25 09:30:35 EDT
I believe I've found the problem. Please try the nfs-utils at:

http://koji.fedoraproject.org/koji/buildinfo?buildID=53800

or yum update it from the testing repo. 
Comment 26 Orion Poplawski 2008-06-25 11:32:47 EDT
Works for me.
Comment 27 Steve Dickson 2008-06-25 13:45:53 EDT
Cool!! 
Comment 28 Fedora Update System 2008-06-27 15:35:23 EDT
nfs-utils-1.1.2-5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nfs-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5760
Comment 29 Steve Dickson 2008-07-07 06:31:43 EDT
*** Bug 453997 has been marked as a duplicate of this bug. ***
Comment 30 Rein van Weerden 2008-07-07 12:48:12 EDT
I do agree that is bug report, for bug 453997, is closed.
I do not agree that it is a duplicate.
It seems that i encountered a problem in the checksum calculation of udp and tcp
packets.
I have not found out where or what, yet.
Comment 31 Steve Dickson 2008-07-08 06:54:17 EDT
*** Bug 454382 has been marked as a duplicate of this bug. ***
Comment 32 Bug Zapper 2009-06-09 20:27:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 33 Bug Zapper 2009-07-15 04:26:26 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.